Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations

SdnControllerRemoveHost

SdnControllerRemoveHost

DELETE/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}

Operation ID

SdnControllerRemoveHost

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • sdnControllerUuid
    StringRequired

    The SDN controller UUID.

  • hostUuid
    StringRequired

    The host UUID.

Body Fields

  • vSwitchType
    String

    The virtual switch type.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}